freedombone-wifi(1)

NAME
freedombone-wifi - Enable wifi

SYNOPSIS
freedombone-wifi -i [wlan0|wlan1...] -t [wpa2-psk|none] --ssid [SSID] -p [passphrase] --hotspot [yes|no] --networks [filename] --networksinteractive [filename] --disable [yes|no]

DESCRIPTION
Enables wifi either as a client or a hotspot. A network file is created which can contain one or more wifi networks which the system may connect to.

USAGE
To connect to wifi networks as a client:
    freedombone-wifi --networks ~/freedombone-wifi.cfg To interactively configure wifi networks:
    freedombone-wifi --networksinteractive ~/freedombone-wifi.cfg To turn the system into a wifi hotspot:
    freedombone-wifi -i wlan0 -t wpa2-psk --ssid mySSID -p WifiPassphrase --hotspot yes To disable wifi and only use the wired connection:
    freedombone-wifi --disable yes

NETWORK FILE FORMAT
The file containing wifi network details is typically at /root/freedombone-wifi.cfg and the format is pretty simple. It contains the SSID, security type and passphrase (if needed). For example for a wifi network with WPA2 encryption:
  mySSID
  wpa2-psk
  MySuperSecretPassphrase Or for a wifi network with no encryption.
  mySSID
  none You can list any number of networks so that you can move your server from one location to another and just have it switch over automatically.

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

AUTHOR
Bob Mottram <bob@freedombone.net>
PGP/GPG: EA982E38
Web: https://freedombone.net